cURL
curl -G "https://connect.jobo.world/api/locations/geocode" \
-H "X-Api-Key: $JOBO_API_KEY" \
--data-urlencode "location=San Francisco, CA"from jobo_enterprise import JoboClient
with JoboClient(api_key="YOUR_API_KEY") as client:
result = client.locations.geocode("San Francisco, CA")
if result.succeeded:
for loc in result.locations:
print(loc.display_name, loc.latitude, loc.longitude)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://connect.jobo.world/api/locations/geocode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"input": "<string>",
"succeeded": true,
"locations": [
{
"city": "<string>",
"region": "<string>",
"country": "<string>",
"display_name": "<string>",
"country_code": "<string>",
"latitude": 123,
"longitude": 123,
"fuzzy_confidence": 123
}
],
"error": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}Locations
Geocode a location
GET
/
api
/
locations
/
geocode
cURL
curl -G "https://connect.jobo.world/api/locations/geocode" \
-H "X-Api-Key: $JOBO_API_KEY" \
--data-urlencode "location=San Francisco, CA"from jobo_enterprise import JoboClient
with JoboClient(api_key="YOUR_API_KEY") as client:
result = client.locations.geocode("San Francisco, CA")
if result.succeeded:
for loc in result.locations:
print(loc.display_name, loc.latitude, loc.longitude)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://connect.jobo.world/api/locations/geocode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"input": "<string>",
"succeeded": true,
"locations": [
{
"city": "<string>",
"region": "<string>",
"country": "<string>",
"display_name": "<string>",
"country_code": "<string>",
"latitude": 123,
"longitude": 123,
"fuzzy_confidence": 123
}
],
"error": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"api_version": "2026-07-21"
}Authorizations
API key provided by Jobo
Query Parameters
Location string to geocode (e.g. "San Francisco, CA")
⌘I

